<template>
  <div :class="type">
    <ul>
      <li
        v-for="(item, index) in breadcrumbs"
        :key="`breadcrumb-${index}`"
        :class="{ breadcrumb_current: index === breadcrumbs.length - 1 }"
      >
        <NuxtLink v-if="params[index]" :to="params[index]">
          {{ prettyfyText(item) }}
        </NuxtLink>
        <NuxtLink v-else :to="{}">{{ prettyfyText(item) }}</NuxtLink>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'Ariane',
  props: {
    type: {
      type: String,
      required: true
    },
    breadcrumbs: {
      type: Array,
      required: true
    },
    params: {
      type: Array,
      required: true
    }
  },
  methods: {
    prettyfyText(text) {
      return text
        .split('-')
        .map((s) => s.charAt(0).toUpperCase() + s.substring(1))
        .join(' ')
    }
  }
}
</script>

<style
  lang="scss"
  src="~/assets/scss/v7/components/organisms/breadcrumb/_breadcrumb.scss"
></style>
